package com.ruoyi.ss.billEleRecord.service;

import com.ruoyi.ss.billEleRecord.domain.BillEleRecord;
import com.ruoyi.ss.billEleRecord.domain.BillEleRecordQuery;
import com.ruoyi.ss.billEleRecord.domain.BillEleRecordVO;

import java.math.BigDecimal;
import java.util.List;

/**
 * 订单电量记录Service接口
 *
 * @author ruoyi
 * @date 2025-01-04
 */
public interface BillEleRecordService
{
    /**
     * 查询订单电量记录
     *
     * @param id 订单电量记录主键
     * @return 订单电量记录
     */
    public BillEleRecordVO selectBillEleRecordById(Long id);

    /**
     * 查询订单电量记录列表
     *
     * @param billEleRecord 订单电量记录
     * @return 订单电量记录集合
     */
    public List<BillEleRecordVO> selectBillEleRecordList(BillEleRecordQuery billEleRecord);

    /**
     * 新增订单电量记录
     *
     * @param billEleRecord 订单电量记录
     * @return 结果
     */
    public int insertBillEleRecord(BillEleRecord billEleRecord);

    /**
     * 修改订单电量记录
     *
     * @param billEleRecord 订单电量记录
     * @return 结果
     */
    public int updateBillEleRecord(BillEleRecord billEleRecord);

    /**
     * 批量删除订单电量记录
     *
     * @param ids 需要删除的订单电量记录主键集合
     * @return 结果
     */
    public int deleteBillEleRecordByIds(Long[] ids);

    /**
     * 删除订单电量记录信息
     *
     * @param id 订单电量记录主键
     * @return 结果
     */
    public int deleteBillEleRecordById(Long id);

    int batchInsert(List<BillEleRecord> list);

    /**
     * 查询订单最大记录的用电量
     */
    BigDecimal selectMaxEleByBillId(Long billId);

    /**
     * 查询订单总金额
     */
    BigDecimal selectSumOfTotalPrice(BillEleRecordQuery query);
}
